[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteDWordBE

Write a DWord value, big endian

## Declaration

Source position: streamex.pp line 73

`procedure TStreamHelper.WriteDWordBE(`
`dw: dword`
`);`

## Arguments

`dw` |  | DWord value to write

## Description

WriteDWordBE writes a DWord-sized value to the stream, big-endian (MSB first).

## Errors

If not all data (4 bytes) can be written, an EWriteError exception is raised.

## See also

ReadDWordBE
WriteWordBE
WriteQWordBE

Documentation generated on: Feb 26 2014